[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTVNodeChangedEvent

Specifies an event handler signalled when values in a tree node have been changed.

## Declaration

Source position: comctrls.pp line 2932

`type TTVNodeChangedEvent = procedure(`
`Sender: TObject;`
`Node: TTreeNode;`
`ChangeReason: TTreeNodeChangeReason`
`) of object;`

## Arguments

`Sender` |  | Object (tree view control) for the event notification.
`Node` |  | Tree node with the modified value.
`ChangeReason` |  | Indicates the value that was changed in the tree node.

## Description

TTVNodeChangedEvent is an object procedure type which specifies an event handler signalled when values in a tree node have been changed.

Sender contains the tree view control for the change notification.

Node is the TTreeNode instance with the modified value.

ChangeReason is a TTreeNodeChangeReason enumeration value that indicates the property changed in the tree node.

TTVNodeChangedEvent is the type used for the TCustomTreeView.OnNodeChanged property.

## See also

TCustomTreeView.OnNodeChanged |  | Event handler signalled when the text for a tree node has been changed.
TTreeNode |  | Implements a tree node displayed in a TTreeView control.
TTreeNodeChangeReason |  | Represents reason codes passed to event handlers when a tree node has been changed.